function FigCirclePacking(n,exportFlag)
% FIGCIRCLEPACKING  Plot packing of equal circles in larger circle

% Check export flag
if nargin < 2, exportFlag = false; end;

% Get filename prefix
prefix      = mfilepath(mfilename('fullpath'));
prefixFig   = [prefix,'..',filesep,'..',filesep,'fig',filesep];

% Load packing
X = CirclePacking(n);

% Generate circle template
xc = cos(linspace(0,2*pi,101));
yc = sin(linspace(0,2*pi,101));

% Compute minimum distance
d = 2;
for i=1:n
   for j=i+1:n
      dist = norm(X(:,i) - X(:,j),2);
      if dist < d, d = dist; end;
   end
end
d = d / 2;

% Plot all
figure(1); clf; gca; hold on;

for i=1:n
   plot(X(1,i)+d*xc,X(2,i)+d*yc,'k-');
   h = plot(X(1,i),X(2,i),'b.'); set(h,'Markersize',16);
end
plot(xc,yc,'b-'); axis off; axis equal;

% Export figure
if exportFlag == 1
   ExportFigurePDF(prefixFig,sprintf('FigCirclePacking_%d.pdf',n));
elseif exportFlag == 2
   ExportFigureEPS(prefixFig,sprintf('FigCirclePacking_%d.eps',n));
end

