function [Y,N] = GenerateRadioSignal(W,U,SNR)
% W: Correction factors: #sensors x #sources
% U: #sources x #samples
% Y: #sensors x #samples
% Returns contaminated signal Y with noise N

Y = W * U;

% Renerate random noise at desired SNR
Ys    = sum(sum(abs(Y).^2));
sigma = sqrt(power(10, -0.1 * SNR) * Ys / (2*prod(size(Y))));
N     = (randn(size(Y)) + sqrt(-1) * randn(size(Y))) * sigma / sqrt(2);

% newSNR = -10*log10(sigma^2/ (norm([real(Y) imag(Y)], 'fro')^2/(2*prod(size(Y)))))

Y = Y + N;
