function p = SpectrumBF(Y,W)
% Power spectrum of beam-forming

% Compute spatial correlation
samples = size(Y,2);
R = Y*Y' / samples;

% Compute beam-forming spectrum
Pbf = sum(conj(W) .* (R * W)); % Diag(Wgrid' * R * Wgrid)';
Pbf = Pbf / max(abs(Pbf));

% Power in dB
p = 10*log10(abs(Pbf(:)));
