function p = SpectrumCapon(Y,W)
% Power spectrum using Capon's method

% Compute spatial correlation
samples = size(Y,2);
R = Y*Y' / samples;

% Compute spectrum using Capon's method
Pcap = 1./sum(conj(W) .* ((R + 1e-12*speye(size(R))) \ W));
Pcap = Pcap / max(abs(Pcap));

% Power in dB
p = 10*log10(abs(Pcap(:)));
