function [p,info] = SpectrumL1(Y,W,sigma,solver)
% Power spectrum using BPDN

% Solve BPDN problem
switch lower(solver)
  case {'spg'}
      options = []
      options.decTol = 1e-9;
      options.bpTol = 1e-7;
      options.optTol = 1e-7;
      options.iterations = 1e3;
      [X,r,g,spg_info] = spg_bpdn(W,mean(Y,2),sigma,options);
      info.solve = spg_info.timeTotal;
      info.prepare = 0;
      
  case {'cvx'}
      [X,info] = CVXL1(W,mean(Y,2),sigma,'SDPT3');
      
  case {'cvx_sedumi'}
      [X,info] = CVXL1(W,mean(Y,2),sigma,'SeDuMi');
 
  otherwise
      error('Unknown solver %s',solver);
end

% Power in dB
X = X / max(abs(X));
p = 10*log10(abs(X(:))+1e-8);
