function p = SpectrumMusic(Y,W,nSources)
% Power spectrum using MUSIC

% Compute spatial correlation
samples = size(Y,2);
R = Y*Y' / samples;

% Compute spectral decomposition and extract relevant parts
[V,D]   = eig(R);
[d,idx] = sort(abs(diag(D)));

Vp      = V(:, idx(1:end-nSources));
Pp      = Vp*Vp';

sensors = size(Y,1);
Pmus = sensors ./ sum(conj(W).*(Pp*W)); %diag(W'*W)./diag(W'*Pp*W);
Pmus = Pmus / max(abs(Pmus));

% Power in dB
p = 10*log10(abs(Pmus(:)));
