function weight = ULA(nSensors,angles)
% Create weight array for uniform linear array of nSensors
% equispaced at a half wavelength, and for list of sources with
% same wavelength at a number of angles (in degrees)

% Position of equidistant sensors in terms of lambda
x = ((1:nSensors) - (nSensors+1) / 2) * (1 / 2);

% Compute phase compensation factors for angles per unit offset
k = -2*pi * cos(pi*angles(:)/180);

% Compute weight array (#sensors x #angles)
weight = exp(sqrt(-1) * x' * k');
