function FigSpectPropane(exportFlag)

% Check arguments
if nargin < 1, exportFlag = 0; end;

% Get path information
prefix      = mfilepath(mfilename('fullpath'));
prefixFig   = [prefix,'..',filesep,'..',filesep,'fig',filesep];

% Set plot parameters
fontsize = 20;

% Read data
data = IndexJCAMPDX;

% Molecule
molecule = 'Propane';

% Find molecule
idx = [];
for i=1:size(data,1)
   if strcmp(data{i,2},molecule)
      idx = i;
      break;
   end;
end;

% Plot spectrogram
if ~isempty(idx)
   spec = data{idx,4};
   h = stem(spec(1,:),100*spec(2,:)/max(spec(2,:)),'.b-');

   set(h,'LineWidth',2,'Marker','none');
   set(gca,'Fontsize',fontsize);
   xlabel('m/z');
   ylabel('Relative intensity');
   xlim([8,47]);
   set(gca,'XTick',[0:5:45]);
end

% Output plot
if exportFlag == 1
   ExportFigurePDF(prefixFig,'FigSpectPropane.pdf');
elseif exportFlag == 2
   ExportFigureEPS(prefixFig,'FigSpectPropane.eps');
end
