function dictionary = IndexJCAMPDX(reindexFlag)

% Get path information
prefix      = mfilepath(mfilename('fullpath'));
prefixCache = [prefix,'..',filesep,'cache',filesep];
prefixData  = [prefix,'..',filesep,'data',filesep];

% Check arguments
if nargin < 1
  reindexFlag = 0;
end

% Load precomputed data if available
filename = [prefixCache,'Index.mat'];

if ~exist(filename,'file') || reindexFlag
   dictionary = cell(0,4);
   d = dir([prefixData,'*.jdx']);
   for i=1:length(d)
      result = ReadJCAMPDX([prefixData d(i).name]);
      
      if ~isfield(result,'title') || ...
         ~isfield(result,'peak_table') || ...
         ~isfield(result,'mw')
         continue;
      end
      
      fprintf('Adding %-50s  %g\n', result.title{1},result.mw);
      
      dictionary{end+1,1} = d(i).name;
      dictionary{end,  2} = result.title{1};
      dictionary{end,  3} = result.mw;
      dictionary{end,  4} = result.peak_table;
   end
   
   save(filename,'dictionary');
else   
   data = load(filename,'dictionary');
   dictionary = data.dictionary;
end

