function result = ReadJCAMPDX(filename)
% Also see http://www.jcamp-dx.org/
% http://www.jcamp-dx.org/testdata.html

% This function implements only a small portion of the complete
% file format!

fp = fopen(filename,'r');
if fp == -1
   result = [];
   return;
end


field = [];
result = struct();

while (1)
  str = fgetl(fp);
  if isnumeric(str), break; end;
  
  str = strtrim(str);
  if strncmp(str,'##',2)
     type = str(3:end);
     info = [];
     idx  = min(find(type == '='));
     if ~isempty(idx)
        info = type(idx+1:end);
        type = type(1:idx-1);
     end

     % Do some string replacements
     field = lower(type);
     field = strrep(field,'$','');
     field = strrep(field,' ','_');
     field = strrep(field,'-','_');
     
     if ~isfield(result,field)
        result = setfield(result,field,{info});
     end
     
     continue;
  end

  % Process data for given type
  if isempty(field)
     % Ignore data for now
     continue;
  end
  
  % Add data to field
  data = getfield(result,field);
  data{end+1} = str;
  result = setfield(result,field,data);
end

fclose(fp);


% Post process the data
[result,status] = processPeakTable(result);
[result,status] = processMolecularWeight(result);



% ----------------------------------------------------------------------------
function [result,status] = processPeakTable(result)
% ----------------------------------------------------------------------------

status = 0;
if ~isfield(result,'peak_table'), return; end;

% Check type
if strcmpi(result.peak_table{1},'(xy..xy)')
   data = '';
   for i=2:length(result.peak_table)
      data = [data,' ',result.peak_table{i}];
   end
   
   values = sscanf(data,'%d,%d');
   result.peak_table = reshape(values,2,round(length(values)/2));
end

% ----------------------------------------------------------------------------
function [result,status] = processMolecularWeight(result)
% ----------------------------------------------------------------------------

status = 0;
if ~isfield(result,'mw'), return; end;

result.mw = sscanf(result.mw{1},'%d');
