function FigInfPolar(exportFlag)
% Draw levelsets of gauge function with partially infinite polar

% Get input parameters
if nargin < 1, exportFlag = 0; end;

% Get path information
prefix     = mfilepath(mfilename('fullpath'));
prefixFig  = [prefix,'..',filesep,'..',filesep,'fig',filesep];


[x,y] = meshgrid(linspace(-6,4.1,101),linspace(-3.5,3.5,101));
z = ((x < 0) .* abs(y)) + ((x >= 0) .* sqrt(x.^2 + y.^2));
pcolor(x,y,z),shading interp; hold on;

for i=-3:3
  h = plot([-6,0],[i,i],'k-'); set(h,'LineWidth',2);
end

a = linspace(-0.5,0.5,101) * pi;
for i=1:5
  h = plot(cos(a) * i,sin(a) * i,'k-'); set(h,'LineWidth',2);
end
hold off;

ylim([-3.5,3.5]); xlim([-6,4.1]);
set(gca,'DataAspectRatio',[1,1,1]);
box on

clrmap = jet(256);
clrmap = clrmap(15:end,:);
colormap(clrmap);
set(gca,'Fontsize',24);

if exportFlag == 1
   ExportFigurePNG(prefixFig,'FigInfPolar1.png');
elseif exportFlag == 2
   ExportFigureTIFF2EPS(prefixFig,'FigInfPolar1.eps');
else
   fprintf('Press <return> to continue . . .\n');
   pause;
end

h = patch([-6,0,0,-6],[3.5,3.5,-3.5,-3.5],ones(1,4),'r');
set(h,'EdgeColor',[0.8,0.8,0.8],'FaceColor',[0.8,0.8,0.8]);

if exportFlag == 1
   ExportFigurePNG(prefixFig,'FigInfPolar2.png');
elseif exportFlag == 2
   ExportFigureTIFF2EPS(prefixFig,'FigInfPolar2.eps');
end

