function ExportFigurePDF(prefix,filename);
% EXPORTFIGUREPDF   Exports figure in PDF format and crops borders
%
%   EXPORTFIGUREPDF(PREFIX,FILENAME)  exports the current figure to the
%   PDF file given by FILENAME in the PREFIX directory. An attempt is
%   then made to crop the file using the PDFCROP command which is
%   available on most LINUX system.

p = pwd;
try
   cd(prefix);

   cmd = sprintf('print -dpdf %s',filename);
   eval(cmd);

   cmd = sprintf('pdfcrop %s %s',filename,filename');
   [status,result] = system(cmd);
   if status ~= 0
      fprintf('Warning: Could not crop %s\n         %s', filename, result);
   end
catch
   fprintf('Warning: Could not crop %s\n', filename);
end
cd(p);
