function ExportFigurePNG(prefix,filename);
% EXPORTFIGUREPNG   Exports figure in PNG format and crops borders
%
%   EXPORTFIGUREPNG(PREFIX,FILENAME)  exports the current figure to
%   the PNG file given by PREFIX/FILENAME. An attempt is then made
%   to crop the file.

filename = [prefix,filename];

cmd = sprintf('print -dpng %s',filename);
eval(cmd);

% Load file
img = imread(filename);

% Find margins
map  = all(img == 255,3);
xMap = all(map,1);
yMap = all(map,2);

startRow = min(find(yMap == false));
startCol = min(find(xMap == false));
endRow   = max(find(yMap == false));
endCol   = max(find(xMap == false));

% If any of the offsets is the empty set, the whole image is empty
if isempty(startCol)
   img = uint8(zeros(3,3,3));
else % Add one pixel margin and re-export
   startRow = max(startRow-1,1);
   startCol = max(startCol-1,1);
   endRow   = min(endRow+1,size(img,1));
   endCol   = min(endCol+1,size(img,2));
   img = img(startRow:endRow,startCol:endCol,:);

   imwrite(img,filename,'PNG');
end




