function p = mfilepath(filename)
% MFILEPATH   Gets the path of a full filename
%
%    P = MFILEPATH(FILENAME)  is intended for use in conjunction with
%    the MFILENAME('fullpath') built-in function and returns that path
%    part P.
%    This function is useful when reading or writing data or figure
%    files in the directory where the calling function is executed.
%    The path P ends with a FILESEP character.

if exist('fileparts')
   pathstr = fileparts(filename);
else
   idx = max([1,find(filename == filesep)]);
   pathstr = filename(1:idx-1);
end

p = [pathstr, filesep];



