function runme

% Use inline version of mfilepath
filename = mfilename('fullpath');
if exist('fileparts')
   pathstr = fileparts(filename);
else
   idx = max([1,find(filename == filesep)]);
   pathstr = filename(1:idx-1);
end
base = [pathstr, filesep];

% Basic tools
addpath([pathstr]);
addpath([base,'Tools']);
addpath([base,'DOA']);
addpath([base,'MassSpectrography']);
addpath([base,'Experiments']);

% Dependencies
dependencies = [base,'dependencies',filesep];
addpath([dependencies,'asp']);
addpath([dependencies,'spot']);
addpath([dependencies,'spot',filesep,'extras']);
addpath([dependencies,'spgl1']);
addpath([dependencies,'sparsol']);
addpath([dependencies,'sparsol',filesep,'drivers']);
addpath([dependencies,'sparco']);
addpath([dependencies,'sparco',filesep,'tools']);
addpath([dependencies,'sparco',filesep,'tools',filesep,'rwt']);
addpath([dependencies,'sparco',filesep,'problems']);
addpath([dependencies,'nesta']);
addpath([dependencies,'fpc']);
addpath([dependencies,'fpc',filesep,'solvers']);
addpath([dependencies,'fpc',filesep,'solvers',filesep,'utilities']);
addpath([dependencies,'bregman']);
addpath([dependencies,'bregman',filesep,'fpc']);
addpath([dependencies,'gpsr-6.0']);
addpath([dependencies,'fpca']);

% CVX
cvxdir = [dependencies,'cvx',filesep];
addpath([dependencies,'cvx']);
addpath([cvxdir,'builtins']);
addpath([cvxdir,'commands']);
addpath([cvxdir,'functions']);
addpath([cvxdir,'lib']);
addpath([cvxdir,'structures']);

% SDPT3
sdpt3dir = [cvxdir,'sdpt3',filesep];
addpath([cvxdir,'sdpt3']);
addpath([sdpt3dir,'Solver']);
addpath([sdpt3dir,'Solver',filesep,'Mexfun']);
addpath([sdpt3dir,'Linsysolver',filesep,'spchol']);
addpath([sdpt3dir,'Examples']);
addpath([sdpt3dir,'HSDSolver']);

% Curvelab
curvelab = [dependencies,'curvelab-2.1',filesep];
addpath([curvelab]);
addpath([curvelab,'fdct_wrapping_cpp',filesep,'mex']);
addpath([curvelab,'fdct_wrapping_matlab']);

